(:
For each item that has received a bid, list the item number, the highest bid, and the name of the highest bidder, ordered by item number.
:)

<result>
  {
    for $highbid in collection("bids")/*:bids,
        $user in collection("users")/*:users
    where $user/userid = $highbid/userid 
      and $highbid/bid = max(collection("bids")/*:bids
                              [itemno = $highbid/itemno]/bid)
    order by $highbid/itemno
    return
        <high_bid>
            { $highbid/itemno }
            { $highbid/bid }
            <bidder>{ $user/name/text() }</bidder>
        </high_bid>
  }
</result>
