drop table bids;
drop table items;
drop table users;

create table users (
 userid 				   char(3) primary key,
 name					   varchar(20) unique,
 rating					   char(1)
);

create table items (
 itemno 				   char(4) primary key,
 description			   varchar(30),
 offered_by				   char(3),
 start_date				   date,
 end_date				   date,
 reserve_price			   decimal(10)
);

insert into users values('U01','Tom Jones','B');
insert into users values('U02','Mary Doe','A');
insert into users values('U03','Dee Linquent','D');
insert into users values('U04','Roger Smith','C');
insert into users values('U05','Jack Sprat','B');
insert into users values('U06','Rip Van Winkle','B');


insert into items values(1001,'Red Bicycle','U01','1999-01-05','1999-01-20',40);
insert into items values(1002,'Motorcycle','U02','1999-02-11','1999-03-15',500);
insert into items values(1003,'Old Bicycle','U02','1999-01-10','1999-02-20',25);
insert into items values(1004,'Tricycle','U01','1999-02-25','1999-03-08',15);
insert into items values(1005,'Tennis Racket','U03','1999-03-19','1999-04-30',20);
insert into items values(1006,'Helicopter','U03','1999-05-05','1999-05-25',50000);
insert into items values(1007,'Racing Bicycle','U04','1999-01-20','1999-02-20',200);
insert into items values(1008,'Broken Bicycle','U01','1999-02-05','1999-03-06',25);