(:
List item numbers and descriptions of items that have no bids.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $i in collection("items")/*:items
    where not(some $b in doc("bids.xml")/bid:bids/bid_tuple 
                        satisfies $b/itemno = $i/itemno)
    return
        <no_bid_item>
            { $i/itemno }
            { $i/description }
        </no_bid_item>
  }
</result>
