(:
List item numbers and average bids for items that have received three or more bids, in descending order by average bid.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $i in distinct-values(doc("bids.xml")/bid:bids/bid_tuple/itemno)
    let $b := doc("bids.xml")/bid:bids/bid_tuple[itemno = $i]
    let $avgbid := avg($b/bid)
    where count($b) >= 3
    order by $avgbid descending
    return
        <popular_item>
            { $i }
            <avgbid>{ $avgbid }</avgbid>
        </popular_item>
  }
</result>

